<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: config_3da_writer Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">config_3da_writer Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a5c2e870e652071bb9fb7e6ad242a23b3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__3da__writer.html#a5c2e870e652071bb9fb7e6ad242a23b3">write_config_3da</a> (sd)</td></tr>
<tr class="separator:a5c2e870e652071bb9fb7e6ad242a23b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39c1b04a94cfbf044d79dac5e2314012"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__3da__writer.html#a39c1b04a94cfbf044d79dac5e2314012">write_data_3da</a> (sd)</td></tr>
<tr class="separator:a39c1b04a94cfbf044d79dac5e2314012"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a5c2e870e652071bb9fb7e6ad242a23b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c2e870e652071bb9fb7e6ad242a23b3">&#9670;&nbsp;</a></span>write_config_3da()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine config_3da_writer::write_config_3da </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_cgraph.png" border="0" usemap="#namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_cgraph" alt=""/></div>
<map name="namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_cgraph" id="namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="185,13,281,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="329,5,460,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_icgraph.png" border="0" usemap="#namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_icgraph" alt=""/></div>
<map name="namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_icgraph" id="namespaceconfig__3da__writer_a5c2e870e652071bb9fb7e6ad242a23b3_icgraph">
<area shape="rect" id="node2" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="185,13,260,39"/>
</map>
</div>

</div>
</div>
<a id="a39c1b04a94cfbf044d79dac5e2314012"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39c1b04a94cfbf044d79dac5e2314012">&#9670;&nbsp;</a></span>write_data_3da()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine config_3da_writer::write_data_3da </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_cgraph.png" border="0" usemap="#namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_cgraph" alt=""/></div>
<map name="namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_cgraph" id="namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="185,13,281,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="329,5,460,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_icgraph.png" border="0" usemap="#namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_icgraph" alt=""/></div>
<map name="namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_icgraph" id="namespaceconfig__3da__writer_a39c1b04a94cfbf044d79dac5e2314012_icgraph">
<area shape="rect" id="node2" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="185,13,260,39"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
